// Задача "Матрица"
// 8-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Сергей Поромов, poromov@rain.ifmo.ru

import java.io.*;
import java.util.*;

public class matrix_sp implements Runnable {

	public static void main(String[] args) {
		new Thread(new matrix_sp()).run();
	}

	public void run() {
		try {
			solve();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	BufferedReader br;

	PrintWriter out;

	StringTokenizer st;

	String nextToken() throws IOException {
		while (st == null || !st.hasMoreTokens()) {
			st = new StringTokenizer(br.readLine());
		}
		return st.nextToken();
	}

	int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean e, String s) {
		if (!e) {
			throw new Error("Assertion failure " + s);
		}
	}

	private static final String FILENAME = "matrix";

	public void solve() throws IOException {
		br = new BufferedReader(new FileReader(FILENAME + ".in"));
		out = new PrintWriter(FILENAME + ".out");
		int n = nextInt();
		int m = nextInt();
		int[][] tab = new int[n][m];
		int[] minX = new int[n];
		int[] maxY = new int[m];
		for (int i = 0; i < n; i++) {
			int t = Integer.MAX_VALUE;
			for (int j = 0; j < m; j++) {
				tab[i][j] = nextInt();
				t = Math.min(t, tab[i][j]);
			}
			minX[i] = t;
		}
		for (int j = 0; j < m; j++) {
			int t = Integer.MIN_VALUE;
			for (int i = 0; i < n; i++) {
				t = Math.max(t, tab[i][j]);
			}
			maxY[j] = t;
		}
		int ans = 0;
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < m; j++) {
				if (tab[i][j] == minX[i] && tab[i][j] == maxY[j]) {
					ans++;
				}
			}
		}
		out.println(ans);
		out.close();
	}
}
